Package ghidra.app.util.bin.format.elf

# Class ElfProgramHeaderType

java.lang.Object
ghidra.app.util.bin.format.elf.ElfProgramHeaderType

public class ElfProgramHeaderType extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final String`
  `description`
  `final String`
  `name`
  `static ElfProgramHeaderType`
  `PT_DYNAMIC`
  `static ElfProgramHeaderType`
  `PT_GNU_EH_FRAME`
  `static ElfProgramHeaderType`
  `PT_GNU_RELRO`
  `static ElfProgramHeaderType`
  `PT_GNU_STACK`
  `static ElfProgramHeaderType`
  `PT_INTERP`
  `static ElfProgramHeaderType`
  `PT_LOAD`
  `static ElfProgramHeaderType`
  `PT_NOTE`
  `static ElfProgramHeaderType`
  `PT_NULL`
  `static ElfProgramHeaderType`
  `PT_PHDR`
  `static ElfProgramHeaderType`
  `PT_SHLIB`
  `static ElfProgramHeaderType`
  `PT_TLS`
  `final int`
  `value`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ElfProgramHeaderType(int value, String name, String description)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `addDefaultTypes(Map<Integer,ElfProgramHeaderType> programHeaderTypeMap)`
  `static void`
  `addProgramHeaderType(ElfProgramHeaderType type, Map<Integer,ElfProgramHeaderType> programHeaderTypeMap)`
  Add the specified program header type to the specified map.
  `static EnumDataType`
  `getEnumDataType(boolean is32bit, String typeSuffix, Map<Integer,ElfProgramHeaderType> dynamicTypeMap)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### PT_NULL

    public static ElfProgramHeaderType PT_NULL

  - ### PT_LOAD

    public static ElfProgramHeaderType PT_LOAD

  - ### PT_DYNAMIC

    public static ElfProgramHeaderType PT_DYNAMIC

  - ### PT_INTERP

    public static ElfProgramHeaderType PT_INTERP

  - ### PT_NOTE

    public static ElfProgramHeaderType PT_NOTE

  - ### PT_SHLIB

    public static ElfProgramHeaderType PT_SHLIB

  - ### PT_PHDR

    public static ElfProgramHeaderType PT_PHDR

  - ### PT_TLS

    public static ElfProgramHeaderType PT_TLS

  - ### PT_GNU_EH_FRAME

    public static ElfProgramHeaderType PT_GNU_EH_FRAME

  - ### PT_GNU_STACK

    public static ElfProgramHeaderType PT_GNU_STACK

  - ### PT_GNU_RELRO

    public static ElfProgramHeaderType PT_GNU_RELRO

  - ### value

    public final int value

  - ### name

    public final String name

  - ### description

    public final String description

- ## Constructor Details

  - ### ElfProgramHeaderType

    public ElfProgramHeaderType(int value, String name, String description)

- ## Method Details

  - ### addProgramHeaderType

    public static void addProgramHeaderType(ElfProgramHeaderType type, Map<Integer,ElfProgramHeaderType> programHeaderTypeMap) throws DuplicateNameException
    Add the specified program header type to the specified map.
    Parameters:
      `type` - program header type
      `programHeaderTypeMap` - map of program header types
    Throws:
      `DuplicateNameException` - if new type name already defined within the specified map

  - ### addDefaultTypes

    public static void addDefaultTypes(Map<Integer,ElfProgramHeaderType> programHeaderTypeMap)

  - ### getEnumDataType

    public static EnumDataType getEnumDataType(boolean is32bit, String typeSuffix, Map<Integer,ElfProgramHeaderType> dynamicTypeMap)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`